openbsd-ports/www/squid/pkg/INSTALL
2001-01-12 21:21:02 +00:00

102 lines
2.9 KiB
Plaintext

#!/bin/sh
# $OpenBSD: INSTALL,v 1.10 2001/01/12 21:21:02 brad Exp $
#
# Pre/post-installation setup of squid
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/squid
STATEDIR=${STATEDIR}
install -d -o www -g www -m 771 $STATEDIR
install -d -o www -g www -m 775 $STATEDIR/logs
install -d -o www -g www -m 771 $STATEDIR/cache
ln -sf $STATEDIR/logs/squid.pid /var/run/squid.pid
do_notice_conf()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files in $CONFIG_DIR have NOT"
echo "| been changed. You may want to compare them to the current samples in"
echo "| $SAMPLE_CONFIG_DIR/conf, and update your configuration"
echo "| files as needed."
}
do_notice_errors_and_icons()
{
echo "|"
echo "| The existing errors and icons in $PREFIX/share/squid have NOT"
echo "| been changed. You may want to compare them to the current samples"
echo "| in $SAMPLE_CONFIG_DIR/errors and"
echo "| $SAMPLE_CONFIG_DIR/icons, and update them as needed."
echo "+---------------"
echo
}
do_install_conf()
{
install -d -o root -g wheel -m 755 $CONFIG_DIR
install -o root -g wheel -m 644 $SAMPLE_CONFIG_DIR/conf/squid.conf.sample $CONFIG_DIR/squid.conf
install -o root -g wheel -m 644 $SAMPLE_CONFIG_DIR/conf/mime.conf.sample $CONFIG_DIR/mime.conf
install -o root -g wheel -m 644 $SAMPLE_CONFIG_DIR/conf/mib.txt.sample $CONFIG_DIR/mib.txt
echo
echo "+---------------"
echo "| The $1 configuration files have been installed in $CONFIG_DIR."
echo "| Please view these files and change the configuration to meet your needs."
}
do_install_errors_and_icons()
{
install -d -o root -g wheel -m 755 $PREFIX/share/squid/icons
install -d -o root -g wheel -m 755 $PREFIX/share/squid/errors
cp -R $SAMPLE_CONFIG_DIR/errors/* $PREFIX/share/squid/errors
cp -R $SAMPLE_CONFIG_DIR/icons/* $PREFIX/share/squid/icons
echo "|"
echo "| The $1 errors and icons have been installed in $PREFIX/share/squid."
echo "| Please view these files and change them to meet your needs."
echo "+---------------"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -d $CONFIG_DIR ]; then
do_install_conf $1
elif [ ! -f $CONFIG_DIR/squid.conf ]; then
do_install_conf $1
else
do_notice_conf $1
fi
if [ ! -d $PREFIX/share/squid/errors ]; then
do_install_errors_and_icons
elif [ ! -f $PREFIX/share/squid/errors/ERR_TOO_BIG ]; then
do_install_errors_and_icons
else
do_notice_errors_and_icons
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0